The tag has no wiki summary.

learn more… | top users | synonyms

1
vote
1answer
156 views

RPM packages with dependencies based on a major version of software (i.e php 5.3 with it's addons and then php 5.4)

Scenario: PHP5.3 php-5.3.21-1_x86_64.rpm (base) php-pecl-memcache-3.0.6-1_x86_64.rpm (dependant on above because of the internal PHP ABI version change) PHP5.4 php-5.4.13-1_x86_64.rpm (base) ...
0
votes
1answer
27 views

rpmbuild not taking $LD_LIBRARY_CONFIG

I'm trying to build Agent++ into an RPM that installs into an alternative location. It's complaining that it can't find libsnmp++. I have libsnmp++ installed, also in an alternative location. ...
0
votes
1answer
238 views

Centos 6.4. building rpm for cups 1.7

I try to build rpm from source by running rpmbuild -ta cups-1.7.0-source.tar.gz --without dbus but get Processing files: cups-1.7.0-1.x86_64 error: File not found: ...
0
votes
1answer
105 views

Some files from RPM have bogus permissions

I'm building RPMs with fpm. One of the goals is to set the user and group of the installed files, so I'm using the --rpmuser and --rpmgroup flags. It's working for the most part, however one of the ...
0
votes
1answer
172 views

Failed to build rpm from source

I want to build a package from source, basically all I did was downloading Percona-Server-56-5.6.12-rc60.4.393.rhel6.src.rpm and adding -DWITH_INNODB_MEMCACHED=ON to spec file. ...
0
votes
1answer
85 views

Building apache 2.4 RPM

I'm trying to build up-to-date packages for httpd... I would like to build Apache 2.4.4 (latest) as an RPM. so that i can install on multiple servers and not compile each time... When i try to do ...
0
votes
1answer
198 views

RPM ignoring Requires version

I've packaged up clamav into some rpms for distribution inside our rhn, however I'm having some issues with dependency resolution when doing upgrades. the spec file builds 4 packages: clamav ...
0
votes
1answer
101 views

Repository Spec file

I have source of webfiles. I need to make a RPM for it. I have placed my source in SOURCES folder and use following spec file. But it is creating noarch rpm with 2MB size, but my source is greater ...
3
votes
0answers
43 views

Is it legal to create an RPM which only runs %post scripts to modify a file owned by another RPM?

I'm writing some RPMs which install YUM repo configuration files for various internal YUM repos, same structure and concept as the EPEL repo RPMs. We will have multiple environments with equivalent ...
1
vote
0answers
249 views

Mock build system error: sh: ruby: command not found

I am trying to build a RPM using the mock build system. However, the shell in the mock environment cannot seem to find the ruby command. I run in to a build error: sh: ruby: command not found I can ...
0
votes
0answers
9 views

Building 64 bit rpm on 32 bit rpmbuild system

Are there any way for building x86_64 arch target rpm on a 32 bit rpmbuild build system? $ rpmbuild -ba --target=x86_64 kernel64.spec Building target platforms: x86_64 Building for target x86_64 ...
0
votes
0answers
48 views

Yum does not install specific RPM version with custom repo

We use RPMS for our packaging and yum to update our environments. We have an rpm package-5.1.1-3 installed in our production server and in our yum repository we have 2 newer versions such as ...
0
votes
0answers
7 views

How can I specify multiple result files created by one source file in Apache Ant

I'm attempting to build some RPMs via the rpmbuild system command using Apache Ant's exec tag. The SRPM creates multiple RPM results. I've previously used the uptodate tag to set a property when I've ...
0
votes
0answers
32 views

How to build the rpm package with SHA-256 checksum for files?

In standard alone RHEL 6.4 rpm build environment, the rpm packages is generated with SHA-256 check sum, which is gotten by command rpm -qp --dump xxx.rpm [user@redhat64 abc]$ rpm -qp --dump ...
0
votes
0answers
66 views

rpmbuild - File not found

I'm trying to build an RPM for Python 2.7.6 on CentOS 6.5, x86_64. The spec file used is slightly modified from that of the spec file in the Python-2.7.6 source. I am running the build like so: $ ...